Description

Supportanfrage

Ich habe hier eine Frage von einem Kunden zu ADTF 2.14.2:

Arbeitet der ADFT Screne Graph mit OpenGL 2.11?

Ich habe bei meiner Recherche auch nur gefunden das OpenGL in Version 2 verwendet wird, aber nicht welche Version genau.

Achso und wie sieht das bei ADTF 3.6.x aus?

Lösung

Die Frage kann nicht hinsichtlich einer ADTF Version gestellt werden, eher nach einer Toolbox Version, da dort vom 3D Scene

Graph Display der Open Scene Graph verwendet wird, ADTF hat damit nichts zu tun.

OSG verwendet eine Vielzahl an OpenGL Versionen und Features, deshalb verweise ich an dieser Stelle an die Doku von OSG -> 

http://www.openscenegraph.org/

Das können wir im ADTF Kontext nicht pauschal beantworten...

Weder für ADTF Display TB 2.1.1 (OSG 3.2.0) noch für 3.x (aktuell OSG 3.5.6).

History

#1 - 2019-09-09 14:19 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 2.14.2, ADTF 3.6.0, ADTF 3.6.1 added

#2 - 2019-09-09 14:23 - hidden

- Status changed from In Progress to Customer Feedback Required

- Private changed from Yes to No

Hi Anja,

die Frage kann nicht hinsichtlich einer ADTF Version gestellt werden, eher nach einer Toolbox Version, da dort vom 3D Scene Graph Display der

Open Scene Graph verwendet wird, ADTF hat damit nichts zu tun.

OSG verwendet eine Vielzahl an OpenGL Versionen und Features, deshalb verweise ich an dieser Stelle an die Doku von OSG -> 

http://www.openscenegraph.org/

Das können wir im ADTF Kontext nicht pauschal beantworten...

Weder für ADTF Display TB 2.1.1 (OSG 3.2.0) noch für 3.x (aktuell OSG 3.5.6).
#4 - 2019-09-10 08:36 - hidden

- Resolution set to Not Supported Scope

#5 - 2019-09-13 09:06 - hidden

- Subject changed from EBPRODUCTSUPPORT-4712 Technische Frage zu ADTF to EBPRODUCTSUPPORT-4712 Which OpenGL version is used

by Open Scene Graph

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Topic changed from ADTF::Common to DisplayTB::3DSceneDisplay

- Affected Products ADTF Display Toolbox 2.1.1, ADTF Display Toolbox 3.4.0 added

#6 - 2020-07-07 12:49 - hidden

- Status changed from To Be Closed to Closed
